This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 827832 - (CVE-2012-1946) CVE-2012-1946 Mozilla: Use-after-free while replacing/inserting a node in a document (MFSA 2012-38)
CVE-2012-1946 Mozilla: Use-after-free while replacing/inserting a node in a d...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Red Hat Product Security
impact=critical,public=20120605,repor...
: Security
Depends On:
Blocks: 816119
  Show dependency treegraph
 
Reported: 2012-06-03 04:42 EDT by Huzaifa S. Sidhpurwala
Modified: 2014-08-29 12:26 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-06 20:30:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2012-06-03 04:42:54 EDT
Security researcher Arthur Gerkis used the Address Sanitizer tool to find a use-after-free while replacing/inserting a node in a document. This use-after-free could possibly allow for remote code execution. 

Reference:
http://www.mozilla.org/security/announce/2012/mfsa2012-38.html
Comment 1 Murray McAllister 2012-06-04 23:25:06 EDT
Acknowledgements:

Red Hat would like to thank the Mozilla project for reporting this issue.
Upstream acknowledges security researcher Arthur Gerkis as the original
reporter.
Comment 2 errata-xmlrpc 2012-06-05 16:59:35 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2012:0710 https://rhn.redhat.com/errata/RHSA-2012-0710.html
Comment 3 errata-xmlrpc 2012-06-06 19:51:32 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 5

Via RHSA-2012:0715 https://rhn.redhat.com/errata/RHSA-2012-0715.html

Note You need to log in before you can comment on or make changes to this bug.